Unit UTSF15_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtDiag_p;

function UTSF15(IERR :Integer; N :Integer): String;

implementation

function UTSF15(IERR :Integer; N :Integer): String;
var
I :Integer;
label
_50,_504,_505,_550,_560,_562,_563,_566,_57,_575,_576,_577,_76,_763,
_765,_767,_769;
begin
{  UTSF15     NAL_DIAG.res }
Result := '';  {   }
I  := IERR-64;
if ( N = 50 )
 then goto _50;
if ( N = 55 ) 
 then goto _550;
if ( N = 56 ) 
 then goto _560;
if ( N = 57 )
 then goto _57;
if ( N = 76 ) 
 then goto _76;
UtDiag(Result,IERR);
exit;
_50:
Result := Result + Format('%s',
 [' OTEKA HB MY YHK SF50D: ATAHA OKA.' + #$0D#$0A]) + #$0D#$0A; 
case I of
 1: goto _504;
 2: goto _505;
end;
_504:
Result := Result + Format('%s',
 [' N 1 - HAEHE APAMETPA X PABHO -1; ' + #$0D#$0A +
 '       HAEHE YHK OOEHO PABHM 1.7e308' + #$0D#$0A]) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_505:
Result := Result + Format('%s',
 [' N 2 - HAEHE APAMETPA RK2 MEHE HY  OE ' + #$0D#$0A +
 '       PABHO 1; HAEHE YHK OOEHO PABHM 1.7e308' + #$0D#$0A]) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_550:
Result := Result + Format('%s',
 [' OTEKA HB MY,OPOPAMMA SF55D:ATAHA OKA']) + #$0D#$0A; 
Result := Result + Format('%s',
 [' N 1 - AAHHOE HAEHE CTEEH CBOO T-PACPEEEH CTEHTA' + #$0D#$0A +
 '       MEHE 1; HAEHE YHK OAAETC PABHM 1.7e308']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_560:
Result := Result + Format('%s',
 [' OTEKA HB MY,OPOPAMMA SF56D:ATAHA OKA']) + #$0D#$0A; 
case I of
 1: goto _562;
 2: goto _563;
end;
_562:
Result := Result + Format('%s',
 [' N 1 - AAHHA CTEEH CBOO T-PACPEEEH CTEHTA' + #$0D#$0A +
 '       MEHE 1; HAEHE YHK OAAETC PABHM 1.7e308']) + #$0D#$0A; 
goto _566;
_563:
Result := Result + Format('%s',
 [' N 2 -AAHHOE HAEHE BEPOTHOCT HE PHAET HTEPBAY' + #$0D#$0A +
 '       (0,1); HAEHE YHK OAAETC PABHM 1.7e308']) + #$0D#$0A; 
_566:
UtDiag(Result,IERR);
exit;
_57:
Result := Result + Format('%s',
 [' OTEKA HB MY YHK SF57D: ATAHA OKA.' + #$0D#$0A]) + #$0D#$0A; 
case I of
 1: goto _575;
 2: goto _576;
 3: goto _577;
end;
_575:
Result := Result + Format('%s',
 [' N 1 - HAEHE APAMETPA K HE PHAET OTPEKY (0,L).' + #$0D#$0A]) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_576:
Result := Result + Format('%s',
 [' N 2 - AAHH OEM CYAHO BOPK HE PHAET OTPEKY (1,N).' + #$0D#$0A]) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_577:
Result := Result + Format('%s',
 [' N 3 - HAEHE APAMETPA N1 HE PHAET OTPEKY (0,N).' + #$0D#$0A]) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_76:
Result := Result + Format('%s',
 ['     SF76D:  .' + #$0D#$0A]) + #$0D#$0A; 
case IERR of
 1: goto _763;
 2: goto _765;
 3: goto _767;
 4: goto _769;
end;
_763:
Result := Result + Format('%s',
 [' N 1 -  ABS(Z).GT.SYS053**(1/3), SYS053 - ' + #$0D#$0A +
 '       ,   ;  ' + #$0D#$0A +
 '            0' + #$0D#$0A]) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_765:
Result := Result + Format('%s',
 [' N 2 -     ' + #$0D#$0A +
 '       SIN  COS   ' + #$0D#$0A]) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_767:
Result := Result + Format('%s',
 [' N 3 -  Z**1.5.GT.SYS053,  SYS053 -  ,' + #$0D#$0A +
 '          ;     ' + #$0D#$0A +
 '          0' + #$0D#$0A]) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
_769:
Result := Result + Format('%s',
 [' N 4 -  2/3*Z**1.5.GT.SYS076,  SYS076  ' + #$0D#$0A +
 '          ;  AI  AID ' + #$0D#$0A +
 '        0,   BI  BID -  1.7e38']) + #$0D#$0A; 
UtDiag(Result,IERR);
exit;
end;

end.
